classification
Title: Resurrect inspect.getargspec() in 3.6
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, jayvdb, martin.panter, nedbat, python-dev, rhettinger, skrah, yselivanov
Priority: release blocker Keywords:

Created on 2015-10-26 20:33 by yselivanov, last changed 2016-01-12 02:05 by yselivanov. This issue is now closed.

Messages (11)
msg253499 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2015-10-26 20:33
See issue #20438 for more details
msg257842 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2016-01-09 16:39
Could this be done soon? I ran into this just now:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/home/stefan/usr/lib/python3.6/site-packages/datashape-0.4.7-py3.6.egg/datashape/__init__.py", line 7, in <module>
    from .user import *
  File "/home/stefan/usr/lib/python3.6/site-packages/datashape-0.4.7-py3.6.egg/datashape/user.py", line 16, in <module>
    @dispatch(np.dtype, basetypes)
  File "/home/stefan/usr/lib/python3.6/site-packages/multipledispatch-0.4.8-py3.6.egg/multipledispatch/core.py", line 60, in _
    if ismethod(func):
  File "/home/stefan/usr/lib/python3.6/site-packages/multipledispatch-0.4.8-py3.6.egg/multipledispatch/core.py", line 79, in ismethod
    spec = inspect.getargspec(func)
AttributeError: module 'inspect' has no attribute 'getargspec'
msg257843 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-01-09 16:44
Perhaps we can also add it back in 3.5.2 since 3.5 is in early stages of its maintenance period?
msg257844 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2016-01-09 16:45
+1 for adding it to 3.5.2.
msg257845 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-01-09 16:54
> Perhaps we can also add it back in 3.5.2 since 3.5 is in early stages of its maintenance period?

> +1 for adding it to 3.5.2.

I was never removed from 3.5

    Python 3.5.1 (default, Dec 13 2015, 16:05:52)
    [GCC 4.2.1 Compatible Apple LLVM 7.0.2 (clang-700.1.81)] on darwin
    Type "help", "copyright", "credits" or "license" for more information.
    >>> import inspect
    >>> inspect.getargspec
    <function getargspec at 0x104811048
msg258006 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-11 20:16
New changeset 32c8bdcd66cc by Yury Selivanov in branch 'default':
Issue #25486: Resurrect inspect.getargspec in 3.6. Backout a565aad5d6e1.
https://hg.python.org/cpython/rev/32c8bdcd66cc
msg258007 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-01-11 20:17
inspect.getargspec is back to Python 3.6 (it was never removed from <= 3.5, fwiw)
msg258008 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2016-01-11 20:25
On Mon, Jan 11, 2016 at 08:17:11PM +0000, Yury Selivanov wrote:
> inspect.getargspec is back to Python 3.6 (it was never removed from <= 3.5, fwiw)

Yay! Thank you very much!
msg258051 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-01-12 01:44
Now the documentation says it will be removed in 3.6. I guess the 3.5 documentation also needs updating.
msg258055 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-12 02:05
New changeset 36a54e30bcbd by Yury Selivanov in branch '3.5':
Issue #25486: Drop "removed in 3.6" wording from inspect.getargspec docs.
https://hg.python.org/cpython/rev/36a54e30bcbd

New changeset 4f1a0e5deca6 by Yury Selivanov in branch 'default':
Merge 3.5 (issue #25486)
https://hg.python.org/cpython/rev/4f1a0e5deca6
msg258056 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-01-12 02:05
> Now the documentation says it will be removed in 3.6. I guess the 3.5 documentation also needs updating.

Good catch!
History
Date User Action Args
2016-01-12 02:05:33yselivanovsetmessages: + msg258056
2016-01-12 02:05:24python-devsetmessages: + msg258055
2016-01-12 01:44:08martin.pantersetnosy: + martin.panter
messages: + msg258051
2016-01-11 20:25:43skrahsetmessages: + msg258008
2016-01-11 20:17:11yselivanovsetstatus: open -> closed
resolution: fixed
messages: + msg258007

stage: needs patch -> resolved
2016-01-11 20:16:16python-devsetnosy: + python-dev
messages: + msg258006
2016-01-09 16:54:04yselivanovsetmessages: + msg257845
2016-01-09 16:45:30skrahsetmessages: + msg257844
2016-01-09 16:44:27berker.peksagsetnosy: + berker.peksag
messages: + msg257843
2016-01-09 16:39:19skrahsetpriority: normal -> release blocker
nosy: + rhettinger, skrah
messages: + msg257842

2015-10-29 03:51:14jayvdbsetnosy: + jayvdb
2015-10-26 23:00:33nedbatsetnosy: + nedbat
2015-10-26 20:34:21yselivanovlinkissue20438 dependencies
2015-10-26 20:33:43yselivanovcreate